{pkgs, ...}: {
  imports = [
    ./apps-optional.nix
    ./backlight.nix
    ./flatpak.nix
    ./btop.nix
    ./boot.nix
    ./fonts.nix
    ./hardware.nix
    ./home-manager.nix
    ./input-method.nix
    ./kernel.nix
    ./nix.nix
    ./power.nix # TODO: this one has to be optional
    ./mouse-wakeup.nix
    ./programs.nix
    ./security.nix
    ./services.nix
    ./time.nix
    ./user.nix
    ./utils.nix
    ./variables.nix
    ./version.nix
  ];
}
